//
//  ONSLGameInfo.h
//  ONSLauncher
//
//  Created by tmkk on Wed Mar 08 2006.
//  Copyright (c) 2006 tmkk. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface ONSLGameInfo : NSObject {
	id titleField;
	id pathField;
	NSString *title;
	NSString *path;
	NSString *fontName;
	NSString *imagePath;
	NSString *otherArgs;
	BOOL isPlaying;
	BOOL fullscreenMode;
	BOOL varEditMode;
	BOOL wheelAdvanceMode;
	NSTask *task;
	id delegate;
	NSFont *font;
}

- (id)initWithDelegate:(id)del;
- (void)setTitle:(NSString *)str;
- (void)setPath:(NSString *)str;
- (void)setFontName:(NSString *)str;
- (void)setImagePath:(NSString *)str;
- (void)setOtherArgs:(NSString *)str;
- (void)setFont:(NSFont *)aFont;
- (NSString *)title;
- (NSString *)path;
- (NSString *)fontName;
- (NSString *)imagePath;
- (NSString *)otherArgs;
- (NSFont *)font;
- (BOOL)isPlaying;
- (void)setPlaying:(BOOL)flag;
- (void)execute;
- (void)terminate;
- (void)clearTask;
- (void)setFullscreenMode:(BOOL)flag;
- (void)setVarEditMode:(BOOL)flag;
- (void)setWheelAdvanceMode:(BOOL)flag;
- (BOOL)fullscreenMode;
- (BOOL)varEditMode;
- (BOOL)wheelAdvanceMode;
@end
